# ModifyDomainUrlAcl

## 1. API Description

This interface is used to modify the URL access control policy for the accelerated domain.

{% hint style="info" %}
**Notes**

* This is an asynchronous interface. After the interface returns success, the operation of creating the accelerated domain has not been completed immediately. During this period, the status of the accelerated domain will be `Deploying`. You can check the status of the accelerated domain by calling the `DescribeCdnDomains` interface. If the status of the accelerated domain (domainStatus) changes from `Deploying` to `Deployed`, it means the deployment was successful; `Failed` indicates that the configuration failed.
  {% endhint %}

## 2. Request Parameters

The following list of request parameters includes only those required by the interface:

| Parameter Name | Required | Type                                                                                              | Description                    |
| -------------- | -------- | ------------------------------------------------------------------------------------------------- | ------------------------------ |
| domainId       | Yes      | String                                                                                            | Accelerated domain Id          |
| urlAcl         | Yes      | [UrlAclInfo](https://docs.console.zenlayer.com/api-reference/networking/datastructure#urlaclinfo) | URL access control information |

## 3. Output Parameterss

| Parameter Name | Type   | Description                                                                                |
| -------------- | ------ | ------------------------------------------------------------------------------------------ |
| requestId      | String | Unique request ID returned with each request. Provide this requestId when locating issues. |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}

1. **Modify the URL Access Control Policy of the Accelerated Domain**

```json
POST / HTTP/1.1
Host: console.zenlayer.com/api/v2/cdn
Content-Type: application/json
X-ZC-Action: ModifyDomainUrlAcl
<Common Request Params>

Request:
{
    "domainId": "domainIdxxxxx",
    "urlAcl": {
        "action": "BLOCK",
        "uri": "/test/11.jpg"
    }
}


Response:
{
    "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
}
```

{% endtab %}
{% endtabs %}

## 5. Error Codes

The following includes error codes encountered in business logic. For other error codes, see [Common Error Codes](https://docs.console.zenlayer.com/api-reference/api-introduction/instruction/commonerrorcode).

| HTTP Status Code | Error Code                        | Description                                      |
| ---------------- | --------------------------------- | ------------------------------------------------ |
| 404              | INVALID\_DOMAIN\_NOT\_FOUND       | The specified accelerated domain does not exist. |
| 403              | DOMAIN\_OPERATION\_NO\_PERMISSION | Operation denied due to lack of permission.      |
